#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-GGxxyJgs8xyHAnWuG5PXjl
key:                  tree-diff-0.1-GGxxyJgs8xyHAnWuG5PXjl
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  2a264ddf808909d26fe6da364d7ec525
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.4/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-GGxxyJgs8xyHAnWuG5PXjl
depends:
    QuickCheck-2.14.2-5kAGyNKLRrIFYmj488qD59
    aeson-1.5.6.0-Hdtf8YdIqJe4Gv7Q5rRICM
    ansi-terminal-0.11-8W3q99jD6GsH6sXJoVaunT
    ansi-wl-pprint-0.6.9-HlYsgzaLBLtBuDAbnkXZtl base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.12.0
    containers-0.6.2.1 hashable-1.3.1.0-BLbX9HPbD8D9d0c8DuHjhm
    parsec-3.1.14.0 parsers-0.12.10-6AttIOC22GkDlRGMfG1pnL
    pretty-1.1.3.6 scientific-0.3.6.2-DDFmFzdhCtuAWq3jmDNZ4I
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.13.0-3nLuuqaKwKc70HW85Q2c85
    uuid-types-1.0.3-KDa9QTYLypUDluuzt5RaOG
    vector-0.12.2.0-1djR9EjNoec73t7OUproRn

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

